package com.qmth.sop.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.sop.business.bean.result.TBDingSubmitResult;
import com.qmth.sop.business.entity.TBDingSubmit;
import com.qmth.sop.common.enums.DingSubmitStatusEnum;

/**
 * @Description: 考勤提交服务接口
 * @Author: CaoZixuan
 * @Date: 2023-08-25
 */
public interface TBDingSubmitService extends IService<TBDingSubmit> {
    IPage<TBDingSubmitResult> findDingSubmitPage(Long serviceUnitId, DingSubmitStatusEnum dingSubmitStatus, Long submitUserId,
                                                 String archivesName, Long supplierId, String customName, String sopNo,
                                                 Integer violationHoursLimit, Integer dingExceptionLimit,
                                                 Integer remainLimit, Integer exceptionLimit, Integer pageNumber, Integer pageSize);

    Object findDingSubmitSubTotal();

    void submitDingBatch();

    void applyWithDraw(Long archivesId, String crmNo);

    void cancelWithDraw(Long archivesId, String crmNo);
}
